Skip to main content
PUT
Update a Campaign Assignment

Authorizations

Authorization
string
header
required

API key en el header Authorization: Basic TU_API_KEY. La key va tal cual, sin codificar en base64. Las credenciales se entregan al comenzar la integración.

Path Parameters

id
integer
required

Identifier of the campaign assignmnet you want to update.

Body

application/json
active
boolean

The status of ad serving, whether it is being served in the given zone or not.

Example:

false

weight
integer

A number used to compute the probability of serving a particular ad. Defaults to 1.

Example:

1

geo_target
integer

The Geo Target identifier (ID).

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements. In addition, geographic targeting is part of the Complete Targeting add-on. If you don't have the add-on, you must set this field's value to null.

Example:

1234

platform_target
integer

The Platform Target identifier (ID) if you intend to restrict delivery of your ads to a certain device or a platform. Defaults to null, which means platform targeting is not in effect.

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements. In addition, your subscription must have the Targeting add-on to use this feature.

Example:

10500

keywords
string

Specify words separated by commas to determine if this ad should be served if a match is found on the page. You can use an asterisk ("*") to represent a wildcard in a keyword.

For example, "paint*" would match paint, painter, painting, paints, and all other variations.

You can also stop the ad from being served in presence of a specific word by prepending a negative sign (-) to the word. For example, "-paint" would stop the ad from being delivered if the word "paint" is found on the page.

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements.

Example:

"example, keyword, list"

keywords_match_method
string

Defines the level of keyword targeting. Has three possible values: "required", "preferred" or "filtered".

Set this to "required" to serve the ad only if a keyword match is found. Set this to "preferred" to increase the serving priority of an ad whenever a match is found. Set this to "filtered" to require a keyword match for the ad to be served without affecting the serving priority.

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements.

Example:

"preferred"

data_key_target
integer

The Data Key Target identifier (ID).

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements. In addition, only Enterprise subscribers have access to the Data Keys feature. If you don't have that feature enabled, you must set this field's value to null or 0.

Example:

10000

list_target
integer

The List Target identifier (ID) if you want your ads to be delivered based on the inclusion or exclusion of specific values in their respective lists. Defaults to null which means list targeting is not in effect. NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, you need to have List Targeting enabled in your account to use this feature. If you don't have that feature enabled, you must set this field's value to null.

Example:

12345

schedule
integer

The identifier (ID) of the schedule that will be applied to the ad item.

NOTE: Can be set only if the campaign's scheduling_source was set to "AD_ITEM". Otherwise, scheduling can be configured only in Placements.

Example:

10002

Response

default - application/json

successful operation

active
boolean

Whether or not the ad item is active in the campaign. If set to "false", the ad item will not be served, but the campaign will be active.

Example:

false

advertisement
object

An object containing the ad item ID and type (image, custom HTML, rich media, or native).

NOTE: Subscribers on the Standard tier and below must have the Enhanced Ads add-on to create rich media ads and native ads.

campaign
object

An object containing the standard campaign identifier and type.

weight
integer

A number used to compute the probability of serving a particular ad. Defaults to 1.

Example:

1

geo_target
integer

The Geo Target identifier (ID).

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements. In addition, geographic targeting is part of the Complete Targeting add-on. If you don't have the add-on, you must set this field's value to null.

Example:

1234

platform_target
integer

The Platform Target identifier (ID) if you intend to restrict delivery of your ads to a certain device or a platform. Defaults to null, which means platform targeting is not in effect.

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements. In addition, your subscription must have the Targeting add-on to use this feature.

Example:

10500

keywords
string

Specify words separated by commas to determine if this ad should be served if a match is found on the page. You can use an asterisk ("*") to represent a wildcard in a keyword.

For example, "paint*" would match paint, painter, painting, paints, and all other variations.

You can also stop the ad from being served in presence of a specific word by prepending a negative sign (-) to the word. For example, "-paint" would stop the ad from being delivered if the word "paint" is found on the page.

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements.

Example:

"example, keyword, list"

keywords_match_method
string

Defines the level of keyword targeting. Has three possible values: "required", "preferred" or "filtered".

Set this to "required" to serve the ad only if a keyword match is found. Set this to "preferred" to increase the serving priority of an ad whenever a match is found. Set this to "filtered" to require a keyword match for the ad to be served without affecting the serving priority.

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements.

Example:

"preferred"

data_key_target
integer

The Data Key Target identifier (ID).

NOTE: Can be set only if the campaign's targeting_source was set to "AD_ITEM". Otherwise, targeting can be configured only in Placements. In addition, only Enterprise subscribers have access to the Data Keys feature. If you don't have that feature enabled, you must set this field's value to null or 0.

Example:

10000

list_target
integer

The List Target identifier (ID) if you want your ads to be delivered based on the inclusion or exclusion of specific values in their respective lists. Defaults to null which means list targeting is not in effect. NOTE: For campaigns, this can be set only if the campaign's targeting_source was set to "CAMPAIGN". Otherwise, targeting can be configured only in Campaign Assignments. In addition, you need to have List Targeting enabled in your account to use this feature. If you don't have that feature enabled, you must set this field's value to null.

Example:

12345

schedule
integer

The identifier (ID) of the schedule that will be applied to the ad item.

NOTE: Can be set only if the campaign's scheduling_source was set to "AD_ITEM". Otherwise, scheduling can be configured only in Placements.

Example:

10002

status
string
read-only

The status of the campaign assignment. If no schedule is set, the possible statuses are "active" and "paused". If a schedule is set, this status will consider the active state of the campaign assignment and the status of the schedule to determine the overall status of the campaign assignment. All possible statuses are: "active", "paused", "queued", "expired", and "quota_reached".

Example:

"active"

object
string

A string denoting the current resource being requested or affected.

Example:

"campaign_assignment"

id
integer

The current resource identifier (ID).

Example:

8247

self
string

The relative URL of the current resource being requested or affected.

Example:

"/v2/campaign-assignments/8247"